Page MenuHomePhabricator

Create raw lists of users that trigger a given abusefilter
Closed, DeclinedPublic

Description

It would be very useful if we could have a page where raw usernames that trigger a given abusefilter be listed. It should be possible to search by filter and filter too between registered users and anonymous users. Stewards do lock a large amount of spambots detected by the global abusefilter and having to copy-paste the logs, then purge everything but the username, etc. is very time consuming, specially when hundreds of spambots trigger the filters everyday.

Stewards have access to Special:MultiLock, so if we could paste directly there the users to lock, we will end saving a lot of time.

Thanks.

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio added a project: AbuseFilter.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2015, 10:23 PM
hoo triaged this task as Low priority.Apr 26 2015, 10:24 PM
hoo added a subscriber: hoo.

There's an API for abuse logs already.

MarcoAurelio added a comment.EditedApr 26 2015, 10:29 PM
In T97261#1237177, @hoo wrote:

There's an API for abuse logs already.

Yep, it is. Yet we have to purge data from it, such as:

"query": {
        "abuselog": [
            {
                "user": "BetseyRosetta"
            },
            {
                "user": "DelilahSlowik"
            },
            {
                "user": "JoshMaurozfcm"
            },
            {
                "user": "DelilahSlowik"
            },
            {
                "user": "CodyMarroquin4"
            },
            {
                "user": "LorenzaA89"
            },
            {
                "user": "LorenzaA89"
            },
            {
                "user": "MindaFitzhardin"
            },
            {
                "user": "KarlMayes01939"
            },
            {
                "user": "KarlMayes01939"
            }
        ]
    }
}

for example. All {}, "", :, etc. ain't needed.

@hoo Can we run it as a query from Quarry? I am not sure how the login permissions work between quarry and reality work to pull sensitive data.

@MarcoAurelio at least we can run a simple regex to clean that up

Is doing this actually a good idea? Stewards are expected to review the hits before actually doing a mass lock on the accounts.

@Glaisher Yes, we are suposed to review the hits, and nothing in this bug
indicates we will stop doing it.

Ok then. You can get "cleaner" results than API by running queries similar to the one below against labs database replicas. Of course, this is not as nice as a GUI but it works.

SELECT afl_user_text FROM `abuse_filter_log` WHERE afl_filter = 1 ORDER BY afl_timestamp DESC LIMIT 15;
Se4598 added a subscriber: Se4598.May 1 2015, 5:03 PM

This sounds like a simple JS-userscript to execute on a log page, and the API is there. Hasn't noone this idea yet or am I missing something? There is no need for a regex to clean up when it can be interpreted as json.

This will be usefull feature, In some cases I need to mass message to users who are logged by filters. Usernames available sagregated from editfilter logs shall be help full to me in my tasks.

Secondly I will prefer https://phabricator.wikimedia.org/T99650 being accepted as a subtask of this task.

Rgds

Why would you want to "mass" message users who have triggered filters?

Krenair closed this task as Declined.Aug 9 2015, 1:50 AM
Krenair claimed this task.
Krenair added a subscriber: Krenair.

We already provide this formatted as JSON via the API, and very simple coding can turn that into a raw list. For Wikimedia sites you can also use the labs DB replicas. There doesn't seem to be a very good use case for providing more ways to get to the same data.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptAug 9 2015, 1:50 AM